<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="top-destinations" charttype="bars">

 <lire:title>Top Destinations by Number of Requests</lire:title>
 <lire:description>
  <para>This report lists most popular sites</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="dsts_to_show" type="int" default="10">
    <lire:description>
    <para>This parameter controls the number of destinations to display
       in the report.</para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top Destination, Top $dsts_to_show Sites</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-dsts" limit="$dsts_to_show">
   <lire:field name="dst_host"/>

   <lire:count name="dsts" label="Requests"/>
   <lire:count name="dsts_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
$Id: top-destinations.xml,v 1.2 2002/11/14 16:32:30 flacoste Exp $
Keep this comment at the end of the file
Local variables:
mode: xml
-->
